Skip to main content

Request quote

POST 

/quotes

For fixed rate shifts, a quote should be requested first.

A quote can be requested for either a depositAmount or a settleAmount.

When defining non-native tokens like AXS and USDT for depositCoin and/or settleCoin, the depositNetwork and settleNetwork fields must also be specified. This also applies to native tokens like ETH that supports multiple networks. depositCoin can also be a token contract address for the selected depositNetwork when you need to target a specific token implementation.

info

When a quote is created with a contract address in depositCoin, the response will normalize depositCoin back to the canonical asset ticker, such as USDC.

commissionRate optional parameter can be used to adjust rates for your users. The default commission rate is 0.5%. Rates below the default offer better rates by reducing affiliate commission, while rates above the default are passed on to the user. The maximum commission rate is 2%.

info

Use the same commissionRate in the /v2/pair and /v2/pairs endpoints as when creating the shift/quotes to get an accurate rate information. See Monetization for detailed examples of how commission rates affect rates.

If the API requests are sent from the integration’s own server, the x-user-ip header must be set to the end-user IP address; otherwise, the requests will be blocked. See Permissions.

After the quote request, a fixed rate shift should be created using the `id` returned by the /v2/quotes endpoint.

A quote expires after 15 minutes.

warning

x-sideshift-secret is your account's private key. Never share it with anyone as it grants full access to your account and should be kept confidential.

Request

Header Parameters

    x-sideshift-secret stringrequired
    x-user-ip string

    end-user IP address for integrations API requests

Body

    depositCoinstringrequired

    ticker or token contract address for the selected depositNetwork

    depositNetworkstring

    required for non-native tokens (e.g. AXS, USDT) and multi-network native tokens (e.g. ETH).

    settleCoinstringrequired
    settleNetworkstring

    required for non-native tokens (e.g. AXS, USDT) and multi-network native tokens (e.g. ETH).

    depositAmountstringnullablerequired

    if null, settleAmount is required

    settleAmountstringnullablerequired

    if null, depositAmount is required

    affiliateIdstringrequired

Responses

OK
Schema
    idstringrequired
    createdAtstringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    expiresAtstringrequired
    depositAmountstringrequired
    settleAmountstringrequired
    ratestringrequired
    affiliateIdstring